### Function

# Tracker sparql_escape_uri_printf

#### Declaration [src]

    gchar*
    tracker_sparql_escape_uri_printf (
      const gchar* format,
      ...
    )

#### Description [src]

Formats and escapes a string for use as a URI. This function takes variadic arguments.

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  A standard `printf()` format string, but notice string precision pitfalls documented in `g_strdup_printf()`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.

#### Return value

Type: `gchar*`

A newly-allocated string holding the result.The returned string should be freed with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.